Bug 378241 - ifrename fails
ifrename fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 11:50 EST by Radek Bíba
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-18 04:29:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2007-11-12 11:50:57 EST
Description of problem:
I have the following line in /etc/modprobe.conf to rename my wireless device to
wlan0 (from eth1) automatically during system start-up:

install ipw2200 /sbin/modprobe --ignore-install ipw2200; /sbin/ifrename -u

Previously (F6), it worked okay (I just wasn't using '-u' previously, but the
problem I'm describing here occurs even without '-u'). This is what happens:

audit(1194779785.395:4): avc:  denied  { search } for  pid=1112 comm="ifrename"
name="net" dev=proc ino=4026531864
scontext=system_u:system_r:insmod_t:s0-s0:c0.c1023
tcontext=system_u:object_r:proc_net_t:s0 tclass=dir

And eth1 obviously remains eth1. I can rename it manually later from a root
shell. In that case, this message is logged:

net wlan0: device_rename: sysfs_create_symlink failed (-17)

but that's unrelated to the original issue, and although I'm not sure what
exactly fails here, the device gets renamed.

Version-Release number of selected component (if applicable):
selinux-policy-3.0.8-47.fc8
Comment 1 Radek Bíba 2007-11-12 11:52:48 EST
Forgot to mention:

# cat /etc/iftab
wlan*   driver ipw2200

...just in case this information would be of any help.
Comment 2 Daniel Walsh 2007-11-12 15:59:52 EST
Fixed in selinux-policy-3.0.8-53.fc8
Comment 3 Radek Bíba 2007-11-18 04:29:40 EST
selinux-policy-3.0.8-53.fc8 fixes this problem, thanks!

Note You need to log in before you can comment on or make changes to this bug.